Bug 121523 - EDITING DOCX, The entry in the table of contents (TOC) is lost for Heading applied to a part of the paragraph (imported in LO as character style)
Summary: EDITING DOCX, The entry in the table of contents (TOC) is lost for Heading ap...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-TableofContents
  Show dependency treegraph
 
Reported: 2018-11-19 14:28 UTC by NISZ LibreOffice Team
Modified: 2022-12-31 03:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the original document side by side in Word and Writer, and screenshot of the problem in Writer. (146.40 KB, image/png)
2018-11-19 14:28 UTC, NISZ LibreOffice Team
Details
Example file from Word with a table of contents. (22.09 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-11-19 14:29 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-19 14:28:19 UTC
Description:
Create a Microsoft Word document with a paragraph and apply the heading style to a part of the paragraph. The entry in the table of contents is lost, when open the document in LibreOffice Writer and update the table of contents.

Steps to Reproduce:
1. Create a new document in Microsoft Word 2010.
2. Type text.
3. Select the first word.
4. On the Home tab, in the Styles group, click Heading 1, Heading 2 or Heading 3.
5. Create a blank paragraph.
6. Create a table of contents.
7. Save the file as DOCX.
8. Open the same file in LibreOffice Writer.
9. Right-click the table of contents, and click Update index.

Actual Results:
The entry in the table of contents is lost.

Expected Results:
The table of contents shouldn’t change.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-19 14:28:50 UTC
Created attachment 146777 [details]
Screenshot of the original document side by side in Word and Writer, and screenshot of the problem in Writer.
Comment 2 NISZ LibreOffice Team 2018-11-19 14:29:18 UTC
Created attachment 146778 [details]
Example file from Word with a table of contents.
Comment 3 Xisco Faulí 2018-11-19 17:46:47 UTC
Reproduced in

Version: 6.2.0.0.beta1+
Build ID: 268364e35100b559f42d8c02b930c5cca1c84be7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

in previous verions the TOC doesn't even have the entry...
Comment 4 Timur 2019-01-16 11:52:23 UTC
Repro master~2019-01-14_07.42.05_LibreOfficeDev_6.3.0.0.alpha0_Win_x86
Comment 5 QA Administrators 2022-12-31 03:19:33 UTC
Dear NISZ LibreOffice Team,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug